Ingest an uploaded document
const form = new FormData();
const options = {method: 'POST', headers: {cookie: 'overlay_session='}};
options.body = form;
fetch('https://getoverlay.io/api/v1/files/ingest-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const form = new FormData();
const options = {method: 'POST', headers: {cookie: 'overlay_session='}};
options.body = form;
fetch('https://getoverlay.io/api/v1/files/ingest-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/files/ingest-document \
--header 'Content-Type: multipart/form-data' \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Files
Ingest an uploaded document
POST
/
api
/
v1
/
files
/
ingest-document
Ingest an uploaded document
const form = new FormData();
const options = {method: 'POST', headers: {cookie: 'overlay_session='}};
options.body = form;
fetch('https://getoverlay.io/api/v1/files/ingest-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const form = new FormData();
const options = {method: 'POST', headers: {cookie: 'overlay_session='}};
options.body = form;
fetch('https://getoverlay.io/api/v1/files/ingest-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/files/ingest-document \
--header 'Content-Type: multipart/form-data' \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
multipart/form-data
Multipart form data. Field-level schemas are validated server-side.
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.